Subject: Re: linux-next: manual merge of the char-misc tree with the driver-core tree

From: Suzuki K Poulose <[email-masked]>
Date: Wed, 3 Jul 2019 09:41:31 +0100

Greg, Stephen, All,

On 02/07/2019 22:41, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 2 Jul 2019 13:05:59 -0400 "Michael S. Tsirkin" <[email-masked]> wrote:
>>
>> On Tue, Jul 02, 2019 at 05:58:51PM +0200, Joerg Roedel wrote:
>>> On Tue, Jul 02, 2019 at 11:23:34AM -0400, Michael S. Tsirkin wrote:
>>>> I can drop virtio iommu from my tree. Where's yours? I'd like to take a
>>>> last look and send an ack.
>>>
>>> It is not in my tree yet, because I was waiting for your ack on the
>>> patches wrt. the spec.
>>>
>>> Given that the merge window is pretty close I can't promise to take it
>>> into my tree for v5.3 when you ack it, so if it should go upstream this
>>> time its better to keep it in your tree.
>>
>> Hmm. But then the merge build fails. I guess I will have to include the
>> patch in the pull request then?
>>
> 
> All you (and the driver-core maintainer) need to do is make sure you
> tell Linus that the merge requires the fix ... he can then apply it to
> the merge commit just as I have.  Linus has asked that maintainers do
> not (in general) cross merge to avoid these (semantic) conflicts.
> Sometimes, in more complex cases, it may be necessary for maintainers
> to share a (non changing) subset of their trees, but this case is
> pretty trivial.
> 

Please let me know if there is something I could help with.

Cheers
Suzuki